Redmine - Defect #19538
Keywords in commit messages: journal entries are created even if nothing was changed
2015-03-31 20:30 - Lukas Pirl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 2.6.4

Resolution: Fixed Affected version: 2.6.0
Description

Regarding [[RedmineSettings#Referencing-issues-in-commit-messages|Referencing issues in commit messages]]:
Assume | have configured the keyword "feedback" to set an issue status to feedback.

Further, issue #42 is already set to feedback.

Now | commit with a message "feedback #42".

Actual result: The issue is updated with the journal entry "Applied in changeset ...".

Desired result: Since in fact nothing changes/was applied, the issue should not get an additional journal entry.

Associated revisions

Revision 14164 - 2015-04-12 11:16 - Jean-Philippe Lang

Keywords in commit messages: journal entries are created even if nothing was changed (#19538).

Revision 14199 - 2015-04-25 09:20 - Jean-Philippe Lang

Merged r14164 (#19538).

Revision 14200 - 2015-04-25 09:20 - Jean-Philippe Lang

Merged r14164 (#19538).

History

#1 - 2015-04-12 11:17 - Jean-Philippe Lang

- Subject changed from keywords in commit messages: journal entries are created even if nothing was changed to Keywords in commit messages:
Journal entries are created even if nothing was changed

- Category changed from Issues to SCM

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.4

- Resolution set to Fixed

Fixed in r14164.
#2 - 2015-04-25 09:21 - Jean-Philippe Lang
- Status changed from Resolved to Closed
